package net.carbon.service.impl;

import net.carbon.mapper.AchievementMapper;
import net.carbon.model.vo.AchievementVO;
import net.carbon.service.AchievementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AchievementServiceImpl implements AchievementService {

    @Autowired
    private AchievementMapper achievementMapper;
    @Override
    public List<AchievementVO> getList(Long page, Long pageSize, String projectID) {
        Long startRow = (page-1)*pageSize;
        return achievementMapper.getList(startRow,pageSize,projectID);
    }
}
